PLaSK library

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
plask::CurrentDensity Struct Reference

Electric current density (kA/cm²) This is 2D vector for two-dimensional sovers. More...

`#include <plask/properties/electrical.hpp>`

Inheritance diagram for plask::CurrentDensity:
[legend]
Collaboration diagram for plask::CurrentDensity:
[legend]

## Static Public Attributes
static constexpr const char * | NAME = "current density"
static constexpr const char * | UNIT = "kA/cm²"
Static Public Attributes inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
static const PropertyType | propertyType = _propertyType
| Type of property.
static constexpr const char * | NAME = PropertyTypeToProviderName<_propertyType>::value
| Name of the property.
static constexpr bool | hasUniqueValueType = false
| `true` only if property use same value type in 2D and 3D space

## Additional Inherited Members
Public Types inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
typedef _ValueType2D | ValueType2D
| Type of provided value in 2D space.
typedef _ValueType3D | ValueType3D
| Type of provided value in 3D space.
typedef VariadicTemplateTypesHolder< _ExtraParams... > | ExtraParams
| Extra parameters passed as arguments to provider to get value.
Static Public Member Functions inherited from plask::VectorFieldProperty<>
static Vec< 2, double > | value3Dto2D (const Vec< 3, double > &v)
| Convert value in 3D space to 2D space by removing component.
static Vec< 3, double > | value2Dto3D (const Vec< 2, double > &v)
| Convert value in 2D space to 2D space by adding zeroed component.
static const Vec< 2, double > | value3Dto2Dcyl (const Vec< 3, double > &v, const Vec< 3, double > &p)
| Convert value in 3D space to 2D space in cylindrical coordinates.
static const Vec< 3, double > | value2Dto3Dcyl (const Vec< 2, double > &v, const Vec< 3, double > &p)
| Convert value in 2D space to 2D space in cylindrical coordinates.
Static Public Member Functions inherited from plask::Property< _propertyType, _ValueType2D, _ValueType3D, _ExtraParams >
static ValueType2D | getDefaultValue2D ()
| Return default value of the property (usually zero) in 2D space.
static ValueType3D | getDefaultValue3D ()
| Return default value of the property (usually zero) in 3D space.

## Detailed Description

Electric current density (kA/cm²) This is 2D vector for two-dimensional sovers.

Definition at line 41 of file electrical.hpp.

## Member Data Documentation

## ◆ NAME

constexpr const char * plask::CurrentDensity::NAME = "current density"
| static constexpr

Definition at line 42 of file electrical.hpp.

## ◆ UNIT

constexpr const char * plask::CurrentDensity::UNIT = "kA/cm²"
| static constexpr

Definition at line 43 of file electrical.hpp.

The documentation for this struct was generated from the following files:

- plask/properties/electrical.hpp
- plask/properties/names.cpp